Server
/identity/registerRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
curl -X POST "https://example.com/identity/register" \ -H "Content-Type: application/json" \ -d '{ "email": "string", "password": "string" }'/identity/loginQuery Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/identity/login" \ -H "Content-Type: application/json" \ -d '{ "email": "string", "password": "string" }'{ "tokenType": "string", "accessToken": "string", "expiresIn": 0, "refreshToken": "string"}/identity/refreshRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/identity/refresh" \ -H "Content-Type: application/json" \ -d '{ "refreshToken": "string" }'{ "tokenType": "string", "accessToken": "string", "expiresIn": 0, "refreshToken": "string"}curl -X GET "https://example.com/identity/confirmEmail?userId=string&code=string"/identity/resendConfirmationEmailRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/identity/resendConfirmationEmail" \ -H "Content-Type: application/json" \ -d '{ "email": "string" }'/identity/forgotPasswordRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
curl -X POST "https://example.com/identity/forgotPassword" \ -H "Content-Type: application/json" \ -d '{ "email": "string" }'/identity/resetPasswordRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/problem+json
curl -X POST "https://example.com/identity/resetPassword" \ -H "Content-Type: application/json" \ -d '{ "email": "string", "resetCode": "string", "newPassword": "string" }'/identity/manage/2faRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
curl -X POST "https://example.com/identity/manage/2fa" \ -H "Content-Type: application/json" \ -d '{}'{ "sharedKey": "string", "recoveryCodesLeft": 0, "recoveryCodes": [ "string" ], "isTwoFactorEnabled": true, "isMachineRemembered": true}curl -X GET "https://example.com/identity/manage/info"{ "email": "string", "isEmailConfirmed": true}/identity/manage/infoRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
curl -X POST "https://example.com/identity/manage/info" \ -H "Content-Type: application/json" \ -d '{}'{ "email": "string", "isEmailConfirmed": true}